2021-04-18 15:45  阅读(71)
文章分类:Java 基础实战 文章标签:JavaJava 教程
©  原文作者:w3cschool 原文地址:https://www.w3cschool.cn/java/java-examples.html

以下实例演示了使用 System 类的 System.err.println() 来展示异常的处理方法:

    /*
     author by w3cschool.cc
     ExceptionDemo.java
     */
    
    
    class ExceptionDemo
    {
     public static void main(String[] args) {
       try {
           throw new Exception("My Exception");
       } catch (Exception e) {
           System.err.println("Caught Exception");
           System.err.println("getMessage():" + e.getMessage());
           System.err.println("getLocalizedMessage():"
           + e.getLocalizedMessage());
           System.err.println("toString():" + e);
           System.err.println("printStackTrace():");
           e.printStackTrace();
       }
     }
    } 
    

以上代码运行输出结果为:

    Caught Exception
    getMessage():My Exception
    getLocalizedMessage():My Exception
    toString():java.lang.Exception: My Exception
    printStackTrace():
    java.lang.Exception: My Exception
       at ExceptionDemo.main(ExceptionDemo.java:5)
    
点赞(0)
版权归原创作者所有,任何形式转载请联系作者; Java 技术驿站 >> Java 实例 – 异常处理方法
上一篇
Java 实例 – 遍历目录
下一篇
Java 实例 – 多个异常处理(多个catch)